<?php

return array(

	/*
	|--------------------------------------------------------------------------
	| App
	|--------------------------------------------------------------------------
	*/

	"app_title" => "Mobile Platform",
	"app_title_slogan" => "Quick and easy mobile sites",
	"home_crumb_text" => 'Dashboard',
	"home_crumb_url" => "#/",

	/*
	|--------------------------------------------------------------------------
	| General
	|--------------------------------------------------------------------------
	*/

	"general" => "General",
	"loading" => "Loading...",
	"home" => "Home",
	"welcome" => "Welcome",
	"welcome_user" => "Welcome, :name!",
	"you_are_here" => "You are here:",
	"cancel" => "Cancel",
	"reset" => "Reset",
	"are_you_sure" => "Are you sure?",
	"yes" => "Yes",
	"no" => "No",
	"back" => "Back",
	"create" => "Create",
	"edit" => "Edit",
	"view" => "View",
	"save" => "Save",
	"save_changes" => "Save changes",
	"submit" => "Submit",
	"update" => "Update",
	"view_details" => "View details",
    "save_and_new" => "Save and New",
    "next" => "Next",
    "previous" => "Previous",
    "step" => "Step", // As in: Step 1, Step 2, Step 3, ...
    "finish" => "Finish",
	"upload" => "Upload",
	"close" => "Close",
	"done" => "Done",
	"delete" => "Delete",
	"deleted" => "Deleted",
	"remove" => "Remove",
	"active" => "Active",
	"name" => "Name",
	"title" => "Title",
	"creating" => "Creating...",
	"changes_saved" => "Changes saved successfully.",
	"hide_menu" => "Hide menu",
	"language" => "Language",
    "with_selected" => "With selected",
    "switch_active" => "Switch active",
    "toggle_active" => "Toggle active",
    "delete_selected" => "Delete selected",
    "select_all" => "Select all",
    "deselect_all" => "Deselect all",
    "preview" => "Preview",
    "select_type_alert" => "Please select a type",
    "theme" => "Theme",
	"download" => "Download",
	"options" => "Options",
	"print" => "Print",
	"drop_here" => "Drop here",

	/*
	|--------------------------------------------------------------------------
	| Dashboard
	|--------------------------------------------------------------------------
	*/

	"dashboard" => "Dashboard",

	/*
	|--------------------------------------------------------------------------
	| Auth / Settings / User Management
	|--------------------------------------------------------------------------
	*/

	"logout" => "Logout",
	"login" => "Login",
	"sign_in" => "Sign In",
	"sign_in_account" => "Sign In to your account",
	"forgot_password" => "Forgot password",
	"new_password" => "New password",
	"sign_up_now" => "Sign up now",
	"create_an_account" => "Create an account",
	"already_have_an_account" => "Already have an account?",
	"agree_toc" => "By signing up you agree with our %s.", // %s is replaced with "toc" (Terms and Conditions)
	"toc" => "Terms and Conditions",

	"bullet_point1" => "Create mobiles sites",
	"bullet_point2" => "QR campaigns",
	"bullet_point3" => "Designs included",
	"bullet_point4" => "No coding required",

    "password_not_correct" => "Current password is not correct, changes aren't saved.",
	"user_management" => "User Management",
	"settings" => "Settings",
	"users" => "Users",
	"app_users" => "App users",
	"new_user" => "New user",
	"new_user_created" => "New user successfully created",
	"last_login" => "Last login",
	"plan" => "Plan",

	/*
	|--------------------------------------------------------------------------
	| Permissions and roles
	|--------------------------------------------------------------------------
	*/

    "permissions" => "Permissions",
    "role" => "Role",
    "Owner" => "Owner",
    "Admin" => "Admin",
    "Manager" => "Manager",
    "User" => "User",
    "Reseller" => "Reseller",
    "no_app_permission" => "You don't have permissions on any app.",
    "no_access" => "No access",
    "no_access_text" => "You don't have access to this part of the system.",

	/*
	|--------------------------------------------------------------------------
	| Help
	|--------------------------------------------------------------------------
	*/

	"help" => "Help",
    "help_role1" => "<strong>Admins</strong> can access everything.",
    "help_role2" => "<strong>Managers</strong> can access everything except the team management and logs.<br>They can create and delete apps.",
    "help_role3" => "<strong>Users</strong> can only manage apps they have permission to.<br>They cannot create or delete apps.",
    "help_role_owner1" => "<strong>Resellers</strong> can manage everything in the system. They are superusers just like you.",
    "help_role_owner2" => "<strong>Admins</strong> are regular users. They're called admins because they're the admin of their own account.",
	"help_incorrect_time" => "If the time is not showing correctly, you can update your timezone at <strong>Settings > Profile > Localization</strong>.",

	/*
	|--------------------------------------------------------------------------
	| SEO
	|--------------------------------------------------------------------------
	*/

	"seo" => "SEO",
	"meta_title" => "Meta title",
	"meta_description" => "Meta description",
	"robots" => "Robots",

	/*
	|--------------------------------------------------------------------------
	| DataTable
	|--------------------------------------------------------------------------
	*/

	"search_" => "Search...",
	"show_records" => "_MENU_ records", // Don't translate _MENU_; it's a variable
 	"empty_table" => "No data available in table",
 	"dt_info" => "Showing _START_ to _END_ of _TOTAL_",
 	"all" => "All",

	/*
	|--------------------------------------------------------------------------
	| Settings
	|--------------------------------------------------------------------------
	*/

	"custom_domain_info" => "Enter a domain and point its CNAME to <strong>:host</strong>.",

	/*
	|--------------------------------------------------------------------------
	| Design general
	|--------------------------------------------------------------------------
	*/

    "design" => "Design",
    "page_design" => "Page design",
    "app_design" => "App design",
    "style" => "Style",
    "design" => "Design",
    "navigation" => "Navigation",
    "background" => "Background",
    "icon" => "Icon",
    "custom_icon" => "Custom icon",

	/*
	|--------------------------------------------------------------------------
	| Account
	|--------------------------------------------------------------------------
	*/

	"account" => "Account",
	"my_account" => "My Account",
	"profile" => "Profile",
	"my_profile" => "My Profile",
	"first_name" => "First name",
	"last_name" => "Last name",
	"username" => "Username",
	"email" => "Email",
	"password" => "Password",
	"new_password" => "New password",
	"new_password_info" => "Leave empty if you don't want to change your password",
	"new_password_info_edit" => "Leave empty if you don't want to change this password",
	"current_password" => "Current password",
	"current_password_info" => "Enter your current password to confirm changes",
	"change_avatar" => "Change avatar",
	"new_avatar" => "New avatar",
	"avatar_help" => "Select a PNG, JPG or GIF image.",
	"timezone" => "Timezone",
	"personal" => "Personal",
	"localization" => "Localization",
	"change_password" => "Change password",
	"logins" => "Logins",
	"last_login" => "Last login",
	"registered" => "Registered",
	"send_mail" => "Send mail",
    "user_active_info" => "Users can only login if their account is active",
	"send_mail_info" => "Mail this user the username and password",
    "show_password" => "Show password",
    "generate_password" => "Generate password",
    "logins" => "Logins",
    "last" => "Last",
    "never" => "Never",
    "delete_user" => "Delete user",
    "edit_user" => "Edit user",
    "login_as_user" => "Login as user",
    "team" => "Team",
    "team_management" => "Team management",
    "team_members" => "Team members",
    "add_team_member" => "Add team member",
    "new_team_member" => "New team member",
    "edit_team_member" => "Edit team member",

	/*
	|--------------------------------------------------------------------------
	| Campaign
	|--------------------------------------------------------------------------
	*/

	"campaign" => "Campaign",
	"campaigns" => "Campaigns",
	"all_campaigns" => "All campaigns",
    "campaign_info" => "Used for internal categorization only",
	"no_campaigns" => "No campaigns found.",
	"new_campaign" => "New campaign",
	"edit_campaign" => "Edit campaign",
	"interactions" => "Interactions",
	"delete_campaign_restricted" => "You can't delete this campaign because it contains one or more items.",
	"campaign_added" => "Campaign saved succesfully",
	"actions" => "Actions",

	/*
	|--------------------------------------------------------------------------
	| Stats
	|--------------------------------------------------------------------------
	*/

	"statistics" => "Statistics",
	"analytics" => "Analytics",
	"app_analytics" => "App Analytics",
	"beacon_analytics" => "Beacon Analytics",
	"data_and_analytics" => "Data &amp; Analytics",
	"filter" => "Filter",
	"remove_filter" => "Remove filter",
	"please_select_site" => "Select a website",
	"please_select_app" => "Select an app",
    "no_stats_found_for_period" => "No statistics found for this period.",
    "no_stats_found" => "No statistics found.",
    "no_interactions_found" => "No interactions found.",
	"recent_activity" => "Recent activity",
	"log" => "Log",
	"subject" => "Subject",
	"description" => "Description",
	"unique_visitors" => "Unique visitors",
	"this_month_stat_title" => "This month",
	"visits" => "Visits",
	"actions" => "Actions",
	"totals" => "Totals",
	"summary" => "Summary",
	"referrers" => "Referrers",
	"bounce_rate" => "Bounce Rate",
	"conversion" => "Conversion",
	"domain" => "Domain",
	"custom_domain" => "Custom domain",
	"url" => "URL",
	"ip" => "IP",
	"created" => "Created",
	"os" => "OS", // OS = Operating System
	"browser" => "Browser",
	"platform" => "Platform",
	"device" => "Device",
	"minutes" => "minutes",
	"minutes_abbr" => "min.",
	"hours_abbr" => "hrs.",
    "avg_time_on_site" => "Avg. time on site",
    "browsers" => "Browsers",
    "browser" => "Browser",
    "daily_totals" => "Daily totals",
    "date" => "Date",
    "start_date" => "Start date",
    "end_date" => "End date",
    "actions_per_visit" => "Actions per visit",
    "operating_systems" => "Operating systems",
    "countries" => "Countries",
    "country" => "Country",
    "city" => "City",
    "cities" => "Cities",
    "heatmap" => "Heatmap",
    "_not_set_" => "(not set)",

	/*
	|--------------------------------------------------------------------------
	| Widgets
	|--------------------------------------------------------------------------
	*/

	"forms" => "Forms",
	"submissions" => "Submissions",
	"coupons" => "Coupons",
	"redeemed" => "Redeemed",
	"widget_data" => "Widget data",

	/*
	|--------------------------------------------------------------------------
	| Mobile
	|--------------------------------------------------------------------------
	*/

	"mobile" => "Mobile",
	"app" => "App",
	"create_first_app" => "Create your first app",
	"no_apps" => "No apps yet.",
	"untitled_app" => "Unititled App",
	"apps" => "Apps",
	"app_s_" => "App(s)",
	"new_app" => "New App",
	"edit_app" => "Edit App",
	"name_your_app" => "Name your App",
    "app_name_info" => "A name for your new app",
	"type" => "Type",
	"name_your_app" => "Name your App",
    "choose_a_type" => "Choose a type",
    "create_app" => "Create App",
    "edit_app" => "Edit App",
    "export_app" => "Export App",
    "download_app" => "Download App",
    "delete_app" => "Delete App",
    "app_settings" => "App settings",
	"confirm_delete_app" => "This app and all pages will be deleted permanently.",
    "select_app" => "Select app",
    "qr" => "QR",
    "qr_code" => "QR code",
    "size" => "Size",
    "version" => "Version",
    "level" => "Level",
    "low" => "Low",
    "medium" => "Medium",
    "quartile" => "Quartile",
    "high" => "High",
    "content" => "Content",
    "page_name" => "Page name",
    "delete_page" => "Delete page",
	"confirm_delete_app_page" => "Are you sure you want to permanently delete this page? If you just want to hide this page from your users, click the eye icon.",

	"page" => "Page",
	"pages" => "Pages",
	"add_page" => "Add page",
	"trash" => "Trash",
	"design_and_layout" => "Design &amp; Layout",

    "business" => "Business",
    "music" => "Music",
    "events" => "Events",
    "restaurants" => "Restaurants",
    "blog" => "Blog",
    "education" => "Education",
    "photography" => "Photography",
    "other" => "Other",

    "recommended" => "Recommended",
	"app_type_groups" => array(
		"general" => "General",
		"monetization" => "Monetization",
		"social" => "Social",
		"media" => "Media"
	),

	"cant_be_homepage" => "This widget can't be the first page.",
	"one_instance_allowed" => "There can be only one instance of this widget.",

    "open_new_window" => "Open in new window",
    "fullscreen" => "Fullscreen",
	'css' => 'CSS',
	'global_css_msg' => 'This CSS will be appended to the existing stylesheet. Only use if you know what you\'re doing.',
	'js' => 'JavaScript',
	'global_js_msg' => 'This JavaScript will be appended to a JavaScript include. Only use if you know what you\'re doing.',
    "message" => "Message",
    "event_submitted_info_title" => "Thank you message",
    "event_submitted_info_msg" => "This message is shown after a visitor submits a form.",
	"button_text" => "Button text",
	"tracking_codes" => "Tracking codes",
	"head_tag_tracking" => "Head-tag tracking code",
	"end_of_body_tag_tracking" => "End-of-body-tag tracking code",
    "event_submitted_title" => "Thank you",
    "event_submitted_msg" => "Your information has been submitted.",
	"event_submitted_btn" => "OK",

	"toggle_page_visibility" => "Toggle page visibility",
	"select_image" => "Select image",
	"no_image" => "No image",
	"remove_image" => "Remove image",
	"upload_image" => "Upload image",

	"place" => "Place",
	"places" => "Places",
	"lat" => "Latitiude",
	"lng" => "Longitude",
    "photo" => "Photo",
    "new_photo" => "New photo",
	"image" => "Image",
	"template" => "Template",

	/*
	|--------------------------------------------------------------------------
	| Media
	|--------------------------------------------------------------------------
	*/

	"media" => "Media",
	"media_browser" => "Media browser",
	"my_files" => "My files",
	"stock" => "Stock",

	/*
	|--------------------------------------------------------------------------
	| Date time
	|--------------------------------------------------------------------------
	*/

	'day' => 'Day',
	'range' => 'Range',
	'today' => 'Today',
	'yesterday' => 'Yesterday',
	'last_7_days' => 'Last 7 Days',
	'last_30_days' => 'Last 30 Days',
	'this_month' => 'This Month',
	'last_month' => 'Last Month',
	'date_from' => 'From',
	'date_to' => 'To',
	'custom_range' => 'Custom Range',
	"sunday" => "Sunday",
	"monday" => "Monday",
	"tuesday" => "Tuesday",
	"wednesday" => "Wednesday",
	"thursday" => "Thursday",
	"friday" => "Friday",
	"saturday" => "Saturday",
    'su' => 'Su',
    'mo' => 'Mo',
    'tu' => 'Tu',
    'we' => 'We',
    'th' => 'Th',
    'fr' => 'Fr',
    'sa' => 'Sa',
    'january' => 'January',
    'february' => 'February',
    'march' => 'March',
    'april' => 'April',
    'may' => 'May',
    'june' => 'June',
    'july' => 'July',
    'august' => 'August',
    'september' => 'September',
    'october' => 'October',
    'november' => 'November',
    'december' => 'December',
    'january_abbr' => 'Jan',
    'february_abbr' => 'Feb',
    'march_abbr' => 'Mar',
    'april_abbr' => 'Apr',
    'may_abbr' => 'May',
    'june_abbr' => 'Jun',
    'july_abbr' => 'Jul',
    'august_abbr' => 'Aug',
    'september_abbr' => 'Sep',
    'october_abbr' => 'Oct',
    'november_abbr' => 'Nov',
    'december_abbr' => 'Dec',

	/*
	|--------------------------------------------------------------------------
	| Validation
	|--------------------------------------------------------------------------
	*/

	"please_enter_a_value" => "Please enter a value",
	"please_enter_a_valid_email_address" => "Please enter a valid email address",
	"please_select_an_option" => "Please select an option",

	/*
	|--------------------------------------------------------------------------
	| Social
	|--------------------------------------------------------------------------
	*/

	"social_share" => "Social share",
	"social_share_help" => "Show social buttons",
	"social_share_text" => "Text to share",
	"icons_only" => "Icons only",
	"show_count" => "Show count",
	"size" => "Size",
	"twitter" => "Twitter",
	"facebook" => "Facebook",
	"googleplus" => "Google+",
	"linkedin" => "LinkedIn",
	"pinterest" => "Pinterest",

	/*
	|--------------------------------------------------------------------------
	| Redirect mobile visitors
	|--------------------------------------------------------------------------
	*/

	"redirect_mobile_visitors" => "Redirect mobile visitors",
	"redirect_code" => "Redirect code",
	"redirect_mobile_visitors_text" => "Redirect mobile visitors from your desktop site to this mobile site with this snippet. Paste the code below in the &lt;head&gt; section of your desktop site.",

	/*
	|--------------------------------------------------------------------------
	| Duplicate app
	|--------------------------------------------------------------------------
	*/

	"duplicate_app" => "Duplicate App",
	"enter_name_new_app" => "Please enter a name for the new App",
	"duplicate_app_name" => "Copy of :name"
);
